Package org.silverpeas.components.websites.model

# Class FolderDetail

java.lang.Object
org.silverpeas.components.websites.model.FolderDetail

All Implemented Interfaces:
  `Serializable`

public class FolderDetail extends Object implements Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FolderDetail()`
  `FolderDetail(Collection<org.silverpeas.core.node.model.NodeDetail> path, org.silverpeas.core.node.model.NodeDetail nodeDetail, Collection<org.silverpeas.core.contribution.publication.model.PublicationDetail> pubDetails, Collection<Integer> nbPubByTopic)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Collection<Integer>`
  `getNbPubByTopic()`
  `org.silverpeas.core.node.model.NodeDetail`
  `getNodeDetail()`
  `org.silverpeas.core.node.model.NodePK`
  `getNodePK()`
  `Collection<org.silverpeas.core.node.model.NodeDetail>`
  `getPath()`
  `Collection<org.silverpeas.core.contribution.publication.model.PublicationDetail>`
  `getPublicationDetails()`
  `void`
  `setNbPubByTopic(Collection<Integer> nbPubByTopic)`
  `void`
  `setNodeDetail(org.silverpeas.core.node.model.NodeDetail nd)`
  `void`
  `setPath(Collection<org.silverpeas.core.node.model.NodeDetail> path)`
  `void`
  `setPublicationDetails(Collection<org.silverpeas.core.contribution.publication.model.PublicationDetail> pd)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FolderDetail

    public FolderDetail()

  - ### FolderDetail

    public FolderDetail(Collection<org.silverpeas.core.node.model.NodeDetail> path, org.silverpeas.core.node.model.NodeDetail nodeDetail, Collection<org.silverpeas.core.contribution.publication.model.PublicationDetail> pubDetails, Collection<Integer> nbPubByTopic)

- ## Method Details

  - ### getPath

    public Collection<org.silverpeas.core.node.model.NodeDetail> getPath()

  - ### getNodePK

    public org.silverpeas.core.node.model.NodePK getNodePK()

  - ### getNodeDetail

    public org.silverpeas.core.node.model.NodeDetail getNodeDetail()

  - ### getPublicationDetails

    public Collection<org.silverpeas.core.contribution.publication.model.PublicationDetail> getPublicationDetails()

  - ### getNbPubByTopic

    public Collection<Integer> getNbPubByTopic()

  - ### setPath

    public void setPath(Collection<org.silverpeas.core.node.model.NodeDetail> path)

  - ### setNodeDetail

    public void setNodeDetail(org.silverpeas.core.node.model.NodeDetail nd)

  - ### setPublicationDetails

    public void setPublicationDetails(Collection<org.silverpeas.core.contribution.publication.model.PublicationDetail> pd)

  - ### setNbPubByTopic

    public void setNbPubByTopic(Collection<Integer> nbPubByTopic)